TOCItemTag

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.tagext
Class TOCItemTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--javax.help.tagext.TOCItemTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class TOCItemTag
extends javax.servlet.jsp.tagext.BodyTagSupport

The JSP tag extra info class for an TocItem

See Also:
  `TOCItem`, Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TOCItemTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doStartTag()`
`void` | `setBaseID(java.lang.String baseID)`
`void` | `setHelpBroker(HelpBroker hb)`
`void` | `setTocView(TOCView view)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### TOCItemTag

    public TOCItemTag()

Method Detail

### setTocView

    public void setTocView(TOCView view)

### setBaseID

    public void setBaseID(java.lang.String baseID)

### setHelpBroker

    public void setHelpBroker(HelpBroker hb)

### doStartTag

    public int doStartTag()

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD